# Interface StaticLibraryBinarySpec.TasksCollection

All Superinterfaces:
  `BinaryTasksCollection, Collection<Task>, DomainObjectCollection<Task>, DomainObjectSet<Task>, Iterable<Task>, Set<Task>`

Enclosing interface:
  `StaticLibraryBinarySpec`

public static interface StaticLibraryBinarySpec.TasksCollection extends BinaryTasksCollection
Provides access to key tasks used for building the binary.

## Method Summary

Modifier and Type
Method
Description
`Task`
`getCreateStaticLib()`
The create static library task.

### Methods inherited from interface BinaryTasksCollection

`create, getBuild, getCheck, taskName, taskName`

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface DomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getCreateStaticLib

Task getCreateStaticLib()
The create static library task.